package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.BusinessCircle;


/**
*  service接口类
*/
public interface BusinessCircleService{

    List<BusinessCircle> getBusinessCircleList(BusinessCircle record);

    List<BusinessCircle> getBusinessCircleByPage(Page page, BusinessCircle record);

    BusinessCircle getBusinessCircleById(String id);

    BusinessCircle getBusinessCircle(BusinessCircle record);

    boolean createBusinessCircle(BusinessCircle record);

    boolean deleteBusinessCircle(String id);

    boolean updateBusinessCircle(BusinessCircle record);
}

